## ros-indigo-ihmc-ros-control 0.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ihmc_ros_control)

add_definitions(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  controller_interface
  hardware_interface
  effort_controllers
  )

set(CMAKE_BUILD_TYPE RelWithDebInfo)

catkin_package(LIBRARIES ${PROJECT_NAME})

find_package(JNI REQUIRED)

include_directories(include ${JNI_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})
add_subdirectory(csrc)

install(FILES ${PROJECT_SOURCE_DIR}/whole_robot_controller_plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  )

install(DIRECTORY csrc/jvmLauncher/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/jvmLauncher
  FILES_MATCHING PATTERN "*.h"
  )

install(DIRECTORY csrc/ros_controllers/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ros_controllers
  FILES_MATCHING PATTERN "*.h"
  )

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
  FILES_MATCHING PATTERN "*.launch"
  )

=== csrc/CMakeLists.txt ===
add_subdirectory(jvmLauncher)
add_subdirectory(ros_controllers)

add_executable(demo demo.cpp)
target_link_libraries(demo jvmLauncher)

=== csrc/jvmLauncher/CMakeLists.txt ===
add_library(jvmLauncher launcher.cpp)
target_link_libraries(jvmLauncher ${JNI_LIBRARIES})

set_property(TARGET jvmLauncher PROPERTY INSTALL_RPATH_USE_LINK_PATH TRUE)

install(TARGETS jvmLauncher
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  )

=== csrc/ros_controllers/CMakeLists.txt ===
add_library(ihmc_ros_control_java_bridge SHARED IHMCRosControlJavaBridge.cpp NativeJointHandleHolder.cpp NativeJointStateHandleHolder.cpp)
target_link_libraries(ihmc_ros_control_java_bridge jvmLauncher ${catkin_LIBRARIES})

add_library(ihmc_whole_robot_control_java_bridge SHARED IHMCWholeRobotControlJavaBridge.cpp NativeIMUHandleHolder.cpp NativeForceTorqueSensorHandleHolder.cpp)
target_link_libraries(ihmc_whole_robot_control_java_bridge jvmLauncher ihmc_ros_control_java_bridge ${catkin_LIBRARIES})

set_property(TARGET ihmc_ros_control_java_bridge PROPERTY INSTALL_RPATH_USE_LINK_PATH TRUE)

set_property(TARGET ihmc_whole_robot_control_java_bridge PROPERTY INSTALL_RPATH_USE_LINK_PATH TRUE)

install(TARGETS
         ihmc_ros_control_java_bridge ihmc_whole_robot_control_java_bridge
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-indigo-ihmc-ros-control (0.5.0-1trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jesper Smith <jsmith@ihmc.us>  Wed, 19 Oct 2016 23:00:29 -0000

=== debian/control ===
Source: ros-indigo-ihmc-ros-control
Section: misc
Priority: extra
Maintainer: Jesper Smith <jsmith@ihmc.us>
Build-Depends: debhelper (>= 9.0.0), default-jdk, ros-indigo-catkin, ros-indigo-controller-interface, ros-indigo-effort-controllers, ros-indigo-hardware-interface
Homepage: https://github.org/ihmcrobotics/ihmc_ros_control
Standards-Version: 3.9.2

Package: ros-indigo-ihmc-ros-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, default-jdk, ros-indigo-controller-interface, ros-indigo-effort-controllers, ros-indigo-hardware-interface
Description: This package provides facilities for using IHMC Java software as a ros_control compatible controller through native libraries

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-ihmc-ros-control//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
